#pragma once

#include "CoreMinimal.h"
#include "UniquelyIdentifiedAnalytic.h"
#include "EInboxType.h"
#include "InboxLoadedAnalytics.generated.h"

USTRUCT(BlueprintType)
struct FInboxLoadedAnalytics : public FUniquelyIdentifiedAnalytic
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere)
	EInboxType Type;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 NumberLoaded;

public:
	DBDANALYTICS_API FInboxLoadedAnalytics();
};

FORCEINLINE uint32 GetTypeHash(const FInboxLoadedAnalytics) { return 0; }
